Skip to main content
PATCH
/
v1
/
businesses
/
{businessId}
/
ledger
/
accounts
/
{accountId}
Patch update ledger account
curl --request PATCH \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "account_number": "4000",
  "parent_id": {
    "type": "AccountId",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "account_type": {
    "display_name": "Asset"
  },
  "account_subtype": {
    "display_name": "Current Assets"
  }
}
'
{
  "data": {
    "type": "Single_Chart_Account",
    "id": {
      "type": "AccountId",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "name": "Current Assets",
    "account_number": "4000",
    "stable_name": {
      "type": "StableName",
      "stable_name": "CURRENT_ASSETS"
    },
    "account_type": {
      "display_name": "Asset"
    },
    "account_subtype": {
      "display_name": "Current Assets"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to confirm the matches for.

accountId
string
required

The id of the ledger account to update.

Body

application/json

Parameters for partially updating a ledger account (PATCH operation). All fields are optional.

name
string

Account name.

account_number
string | null

Optional account number for the ledger account.

Example:

"4000"

normality
enum<string>

Account normality.

Available options:
CREDIT,
DEBIT
parent_id
Account ID · object

The Account Identifier of the parent account under which this ledger account is categorized.

stable_name
object

The Stable Name for the account.

account_type
object

Type of the ledger account.

account_subtype
object

Subtype of the ledger account.

Response

200 - application/json

The updated ledger account.

data
object
required

A single ledger account without nested children.